--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_009_pos.sh	Wed Aug 31 16:21:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_009_pos.sh	Wed Aug 31 16:21:26 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -56,14 +56,14 @@
 
 function cleanup
 {
-	log_must $RM -rf $TESTDIR/$TESTFILE1
-	log_must $RM -rf $TESTDIR/$TESTFILE2
-	log_must $ZFS destroy -f $TESTPOOL/$TESTFS1
+	log_must rm -rf $TESTDIR/$TESTFILE1
+	log_must rm -rf $TESTDIR/$TESTFILE2
+	log_must zfs destroy -f $TESTPOOL/$TESTFS1
 }
 
 log_onexit cleanup
 
-log_must $ZFS create $TESTPOOL/$TESTFS1
+log_must zfs create $TESTPOOL/$TESTFS1
 
 space_avail=`get_prop available $TESTPOOL`
 
@@ -75,7 +75,7 @@
 #
 ((resv_size_set = space_avail - RESV_FREE_SPACE))
 
-log_must $ZFS set reservation=$resv_size_set $TESTPOOL/$TESTFS1
+log_must zfs set reservation=$resv_size_set $TESTPOOL/$TESTFS1
 
 space_avail_still=`get_prop available $TESTPOOL`
 
@@ -84,7 +84,7 @@
 
 # Now fill up the filesystem (which doesn't have a reservation set
 # and thus will use up whatever free space is left in the pool).
-$FILE_WRITE -o create -f $TESTDIR/$TESTFILE1 -b $BLOCK_SIZE \
+file_write -o create -f $TESTDIR/$TESTFILE1 -b $BLOCK_SIZE \
         -c $write_count -d 0
 ret=$?
 if (($ret != $ENOSPC)); then
@@ -91,9 +91,9 @@
 	log_fail "Did not get ENOSPC as expected (got $ret)."
 fi
 
-log_must $ZFS set reservation=none $TESTPOOL/$TESTFS1
+log_must zfs set reservation=none $TESTPOOL/$TESTFS1
 
-log_must $FILE_WRITE -o create -f $TESTDIR/$TESTFILE2 -b $PAGESIZE \
+log_must file_write -o create -f $TESTDIR/$TESTFILE2 -b pagesize \
     -c 1000 -d 0
 
 log_pass "Setting top level dataset reservation to 'none' allows more " \
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_010_pos.sh	Wed Aug 31 16:21:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_010_pos.sh	Wed Aug 31 16:21:26 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -57,15 +57,15 @@
 function cleanup
 {
 	datasetexists $TESTPOOL/$TESTFS1 && \
-	    log_must $ZFS destroy $TESTPOOL/$TESTFS1
+	    log_must zfs destroy $TESTPOOL/$TESTFS1
 
-	[[ -e $TESTDIR/$TESTFILE1 ]] && log_must $RM -rf $TESTDIR/$TESTFILE1
-	[[ -e $TESTDIR/$TESTFILE2 ]] && log_must $RM -rf $TESTDIR/$TESTFILE2
+	[[ -e $TESTDIR/$TESTFILE1 ]] && log_must rm -rf $TESTDIR/$TESTFILE1
+	[[ -e $TESTDIR/$TESTFILE2 ]] && log_must rm -rf $TESTDIR/$TESTFILE2
 }
 
 log_onexit cleanup
 
-log_must $ZFS create $TESTPOOL/$TESTFS1
+log_must zfs create $TESTPOOL/$TESTFS1
 
 space_avail=`get_prop available $TESTPOOL`
 
@@ -77,7 +77,7 @@
 #
 ((resv_size_set = space_avail - RESV_FREE_SPACE))
 
-log_must $ZFS set reservation=$resv_size_set $TESTPOOL/$TESTFS1
+log_must zfs set reservation=$resv_size_set $TESTPOOL/$TESTFS1
 
 space_avail_still=`get_prop available $TESTPOOL`
 
@@ -86,15 +86,15 @@
 
 # Now fill up the filesystem (which doesn't have a reservation set
 # and thus will use up whatever free space is left in the pool).
-$FILE_WRITE -o create -f $TESTDIR/$TESTFILE1 -b $BLOCK_SIZE -c $write_count -d 0
+file_write -o create -f $TESTDIR/$TESTFILE1 -b $BLOCK_SIZE -c $write_count -d 0
 ret=$?
 if (($ret != $ENOSPC)); then
 	log_fail "Did not get ENOSPC as expected (got $ret)."
 fi
 
-log_must $ZFS destroy -f $TESTPOOL/$TESTFS1
+log_must zfs destroy -f $TESTPOOL/$TESTFS1
 
-log_must $FILE_WRITE -o create -f $TESTDIR/$TESTFILE2 -b $PAGESIZE \
+log_must file_write -o create -f $TESTDIR/$TESTFILE2 -b pagesize \
     -c 1000 -d 0
 
 log_pass "Destroying top level filesystem with reservation allows more data " \
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_011_pos.sh	Wed Aug 31 16:21:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_011_pos.sh	Wed Aug 31 16:21:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -61,11 +61,11 @@
 
 ((resv_size_set = (space_avail - RESV_DELTA) / 2))
 
-fs_quota=`$ZFS get quota $TESTPOOL/$TESTFS`
+fs_quota=`zfs get quota $TESTPOOL/$TESTFS`
 
-log_must $ZFS set reservation=$resv_size_set $TESTPOOL/$TESTFS
+log_must zfs set reservation=$resv_size_set $TESTPOOL/$TESTFS
 
-new_fs_quota=`$ZFS get quota $TESTPOOL/$TESTFS`
+new_fs_quota=`zfs get quota $TESTPOOL/$TESTFS`
 
 if [[ $fs_quota != $new_fs_quota ]]; then
 	log_fail "Quota value on $TESTFS has changed " \
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_012_pos.sh	Wed Aug 31 16:21:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_012_pos.sh	Wed Aug 31 16:21:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,27 +54,27 @@
 
 function cleanup
 {
-	log_must $ZFS destroy -f $TESTPOOL/$TESTFS2
+	log_must zfs destroy -f $TESTPOOL/$TESTFS2
 	log_must zero_reservation $TESTPOOL/$TESTFS
 
-	[[ -e $TESTDIR/$TESTFILE2 ]] && log_must $RM -rf $TESTDIR/$TESTFILE2
-	[[ -d $TESTDIR2 ]] && log_must $RM -rf $TESTDIR2
+	[[ -e $TESTDIR/$TESTFILE2 ]] && log_must rm -rf $TESTDIR/$TESTFILE2
+	[[ -d $TESTDIR2 ]] && log_must rm -rf $TESTDIR2
 }
 
 log_onexit cleanup
 
-log_must $ZFS create $TESTPOOL/$TESTFS2
-log_must $ZFS set mountpoint=$TESTDIR2 $TESTPOOL/$TESTFS2
+log_must zfs create $TESTPOOL/$TESTFS2
+log_must zfs set mountpoint=$TESTDIR2 $TESTPOOL/$TESTFS2
 
 space_avail=`get_prop available $TESTPOOL`
 
 ((resv_size_set = space_avail - RESV_FREE_SPACE))
 
-log_must $ZFS set reservation=$resv_size_set $TESTPOOL/$TESTFS
+log_must zfs set reservation=$resv_size_set $TESTPOOL/$TESTFS
 
 ((write_count = (RESV_FREE_SPACE + RESV_TOLERANCE) / BLOCK_SIZE))
 
-$FILE_WRITE -o create -f $TESTDIR2/$TESTFILE1 -b $BLOCK_SIZE -c $write_count \
+file_write -o create -f $TESTDIR2/$TESTFILE1 -b $BLOCK_SIZE -c $write_count \
     -d 0
 ret=$?
 if [[ $ret != $ENOSPC ]]; then
@@ -82,7 +82,7 @@
 fi
 
 ((write_count = (RESV_FREE_SPACE - RESV_TOLERANCE) / BLOCK_SIZE))
-log_must $FILE_WRITE -o create -f $TESTDIR/$TESTFILE2 -b $BLOCK_SIZE -c \
+log_must file_write -o create -f $TESTDIR/$TESTFILE2 -b $BLOCK_SIZE -c \
     $write_count -d 0
 
 log_pass "Reserved space preserved correctly"
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_013_pos.sh	Wed Aug 31 16:21:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_013_pos.sh	Wed Aug 31 16:21:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -58,7 +58,7 @@
 function cleanup
 {
 	for obj in $OBJ_LIST; do
-                datasetexists $obj && log_must $ZFS destroy -f $obj
+                datasetexists $obj && log_must zfs destroy -f $obj
         done
 
 	log_must zero_reservation $TESTPOOL/$TESTFS
@@ -68,8 +68,8 @@
 OBJ_LIST="$TESTPOOL/$TESTFS1/$TESTFS2 $TESTPOOL/$TESTFS1 $TESTPOOL/$TESTVOL \
     $TESTPOOL/$TESTVOL2"
 
-log_must $ZFS create $TESTPOOL/$TESTFS1
-log_must $ZFS create $TESTPOOL/$TESTFS1/$TESTFS2
+log_must zfs create $TESTPOOL/$TESTFS1
+log_must zfs create $TESTPOOL/$TESTFS1/$TESTFS2
 
 space_avail=$(get_prop available $TESTPOOL)
 [[ $? -ne 0 ]] && \
@@ -83,16 +83,16 @@
 # When initially created, a regular volume's reservation property is set
 # equal to its size (unlike a sparse volume), so we don't need to set it
 # explictly later on
-log_must $ZFS create -V $resv_set $TESTPOOL/$TESTVOL
-log_must $ZFS create -s -V $sparse_vol_set_size $TESTPOOL/$TESTVOL2
+log_must zfs create -V $resv_set $TESTPOOL/$TESTVOL
+log_must zfs create -s -V $sparse_vol_set_size $TESTPOOL/$TESTVOL2
 
-log_must $ZFS set reservation=$resv_set $TESTPOOL/$TESTFS
-log_must $ZFS set reservation=$resv_set $TESTPOOL/$TESTFS1
-log_must $ZFS set reservation=$resv_set $TESTPOOL/$TESTFS1/$TESTFS2
-log_must $ZFS set reservation=$resv_set $TESTPOOL/$TESTVOL2
+log_must zfs set reservation=$resv_set $TESTPOOL/$TESTFS
+log_must zfs set reservation=$resv_set $TESTPOOL/$TESTFS1
+log_must zfs set reservation=$resv_set $TESTPOOL/$TESTFS1/$TESTFS2
+log_must zfs set reservation=$resv_set $TESTPOOL/$TESTVOL2
 
-log_must $ZPOOL export $TESTPOOL
-log_must $ZPOOL import $TESTPOOL
+log_must zpool export $TESTPOOL
+log_must zpool import $TESTPOOL
 
 for obj in $TESTPOOL/$TESTFS $OBJ_LIST; do
 
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_014_pos.sh	Wed Aug 31 16:21:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_014_pos.sh	Wed Aug 31 16:21:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,7 +54,7 @@
 	#
 	# Note we don't destroy $TESTFS as it's used by other tests
 	for obj in $OBJ_LIST ; do
-		datasetexists $obj && log_must $ZFS destroy -f $obj
+		datasetexists $obj && log_must zfs destroy -f $obj
 	done
 
 	log_must zero_reservation $TESTPOOL/$TESTFS
@@ -73,8 +73,8 @@
 	((sparse_vol_set_size = space_avail * 4))
 	sparse_vol_set_size=$(floor_volsize $sparse_vol_set_size)
 
-	log_must $ZFS create -V $vol_set_size $TESTPOOL/$TESTVOL
-	log_must $ZFS create -s -V $sparse_vol_set_size $TESTPOOL/$TESTVOL2
+	log_must zfs create -V $vol_set_size $TESTPOOL/$TESTVOL
+	log_must zfs create -s -V $sparse_vol_set_size $TESTPOOL/$TESTVOL2
 fi
 
 for obj in $TESTPOOL/$TESTFS $OBJ_LIST ; do
@@ -93,7 +93,7 @@
 	# space in the pool, whichever is smaller.
 	#
 	if [[ $obj == $TESTPOOL/$TESTFS ]]; then
-		log_must $ZFS set quota=$quota_set_size $obj
+		log_must zfs set quota=$quota_set_size $obj
 		((resv_set_size = quota_set_size + RESV_SIZE))
 
 	elif [[ $obj == $TESTPOOL/$TESTVOL2 ]] ; then
@@ -107,7 +107,7 @@
 
 	orig_quota=`get_prop quota $obj`
 
-	log_mustnot $ZFS set reservation=$resv_set_size $obj
+	log_mustnot zfs set reservation=$resv_set_size $obj
 	new_quota=`get_prop quota $obj`
 
 	if [[ $orig_quota != $new_quota ]]; then
@@ -116,7 +116,7 @@
 	fi
 
 	if [[ $obj == $TESTPOOL/$TESTFS ]]; then
-		log_must $ZFS set quota=none $obj
+		log_must zfs set quota=none $obj
 	fi
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_015_pos.sh	Wed Aug 31 16:21:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_015_pos.sh	Wed Aug 31 16:21:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -57,10 +57,10 @@
 function cleanup
 {
 	datasetexists $TESTPOOL/$TESTVOL && \
-	log_must $ZFS destroy $TESTPOOL/$TESTVOL
+	log_must zfs destroy $TESTPOOL/$TESTVOL
 
-	[[ -e $TESTDIR/$TESTFILE1 ]] && log_must $RM -rf $TESTDIR/$TESTFILE1
-	[[ -e $TESTDIR/$TESTFILE2 ]] && log_must $RM -rf $TESTDIR/$TESTFILE2
+	[[ -e $TESTDIR/$TESTFILE1 ]] && log_must rm -rf $TESTDIR/$TESTFILE1
+	[[ -e $TESTDIR/$TESTFILE2 ]] && log_must rm -rf $TESTDIR/$TESTFILE2
 }
 log_onexit cleanup
 
@@ -75,7 +75,7 @@
 ((resv_size_set = space_avail - RESV_FREE_SPACE))
 resv_size_set=$(floor_volsize $resv_size_set)
 
-log_must $ZFS create -V $resv_size_set $TESTPOOL/$TESTVOL
+log_must zfs create -V $resv_size_set $TESTPOOL/$TESTVOL
 
 space_avail_still=`get_prop available $TESTPOOL`
 
@@ -84,15 +84,15 @@
 
 # Now fill up the filesystem (which doesn't have a reservation set
 # and thus will use up whatever free space is left in the pool).
-$FILE_WRITE -o create -f $TESTDIR/$TESTFILE1 -b $BLOCK_SIZE -c $write_count -d 0
+file_write -o create -f $TESTDIR/$TESTFILE1 -b $BLOCK_SIZE -c $write_count -d 0
 ret=$?
 if (($ret != $ENOSPC)); then
 	log_fail "Did not get ENOSPC as expected (got $ret)."
 fi
 
-log_must $ZFS set refreservation=none $TESTPOOL/$TESTVOL
+log_must zfs set refreservation=none $TESTPOOL/$TESTVOL
 
-log_must $FILE_WRITE -o create -f $TESTDIR/$TESTFILE2 -b $PAGESIZE \
+log_must file_write -o create -f $TESTDIR/$TESTFILE2 -b pagesize \
     -c 1000 -d 0
 
 log_pass "Setting top level volume reservation to 'none' allows more " \
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_016_pos.sh	Wed Aug 31 16:21:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_016_pos.sh	Wed Aug 31 16:21:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -56,10 +56,10 @@
 function cleanup
 {
 	datasetexists $TESTPOOL/$TESTVOL && \
-	    log_must $ZFS destroy $TESTPOOL/$TESTVOL
+	    log_must zfs destroy $TESTPOOL/$TESTVOL
 
-	[[ -e $TESTDIR/$TESTFILE1 ]] && log_must $RM -rf $TESTDIR/$TESTFILE1
-	[[ -e $TESTDIR/$TESTFILE2 ]] && log_must $RM -rf $TESTDIR/$TESTFILE2
+	[[ -e $TESTDIR/$TESTFILE1 ]] && log_must rm -rf $TESTDIR/$TESTFILE1
+	[[ -e $TESTDIR/$TESTFILE2 ]] && log_must rm -rf $TESTDIR/$TESTFILE2
 }
 log_onexit cleanup
 
@@ -75,7 +75,7 @@
 
 # Creating a regular volume implicitly sets its reservation
 # property to the same value.
-log_must $ZFS create -V $vol_set_size $TESTPOOL/$TESTVOL
+log_must zfs create -V $vol_set_size $TESTPOOL/$TESTVOL
 
 space_avail_still=$(get_prop available $TESTPOOL)
 fill_size=$((space_avail_still + $RESV_TOLERANCE))
@@ -83,15 +83,15 @@
 
 # Now fill up the filesystem (which doesn't have a reservation set
 # and thus will use up whatever free space is left in the pool).
-$FILE_WRITE -o create -f $TESTDIR/$TESTFILE1 -b $BLOCK_SIZE -c $write_count -d 0
+file_write -o create -f $TESTDIR/$TESTFILE1 -b $BLOCK_SIZE -c $write_count -d 0
 ret=$?
 if (($ret != $ENOSPC)); then
 	log_fail "Did not get ENOSPC as expected (got $ret)."
 fi
 
-log_must $ZFS destroy -f $TESTPOOL/$TESTVOL
+log_must zfs destroy -f $TESTPOOL/$TESTVOL
 
-log_must $FILE_WRITE -o create -f $TESTDIR/$TESTFILE2 -b $PAGESIZE \
+log_must file_write -o create -f $TESTDIR/$TESTFILE2 -b pagesize \
     -c 1000 -d 0
 
 log_pass "Destroying volume with reservation allows more data to be written " \
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_017_pos.sh	Wed Aug 31 16:21:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_017_pos.sh	Wed Aug 31 16:21:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -55,7 +55,7 @@
 	typeset vol
 
 	for vol in $regvol $sparsevol; do
-		datasetexists $vol &&  log_must $ZFS destroy $vol
+		datasetexists $vol &&  log_must zfs destroy $vol
 	done
 }
 log_onexit cleanup
@@ -67,8 +67,8 @@
 # Create a regular and sparse volume for testing.
 regvol=$TESTPOOL/$TESTVOL
 sparsevol=$TESTPOOL/$TESTVOL2
-log_must $ZFS create -V 64M $regvol
-log_must $ZFS create -s -V 64M $sparsevol
+log_must zfs create -V 64M $regvol
+log_must zfs create -s -V 64M $sparsevol
 
 typeset -i vsize=$(get_prop available $TESTPOOL)
 typeset -i iterate=10
@@ -83,8 +83,8 @@
 	((randomblknum = 1 + RANDOM % blknum))
 	# Make sure volsize is a multiple of volume block size
 	((vsize = randomblknum * volblocksize))
-	log_must $ZFS set volsize=$vsize $regvol
-	log_must $ZFS set volsize=$vsize $sparsevol
+	log_must zfs set volsize=$vsize $regvol
+	log_must zfs set volsize=$vsize $sparsevol
 	vsize=$(volsize_to_reservation $regvol $vsize)
 	regreserv=$(get_prop refreservation $regvol)
 	sparsereserv=$(get_prop reservation $sparsevol)
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_018_pos.sh	Wed Aug 31 16:21:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_018_pos.sh	Wed Aug 31 16:21:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,8 +47,8 @@
 
 function cleanup
 {
-	datasetexists $fs_child && log_must $ZFS destroy $fs_child
-	log_must $ZFS set reservation=$reserv_val $fs
+	datasetexists $fs_child && log_must zfs destroy $fs_child
+	log_must zfs set reservation=$reserv_val $fs
 }
 
 log_onexit cleanup
@@ -62,9 +62,9 @@
 reserv_val=$(get_prop reservation $fs)
 typeset -l reservsize=$space_avail
 ((reservsize = reservsize / 2))
-log_must $ZFS set reservation=$reservsize $fs
+log_must zfs set reservation=$reservsize $fs
 
-log_must $ZFS create $fs_child
+log_must zfs create $fs_child
 rsv_space=$(get_prop reservation $fs_child)
 [[ $rsv_space == $reservsize ]] && \
     log_fail "The reservation of child dataset inherits its value from parent."
--- old/usr/src/test/zfs-tests/tests/functional/rootpool/rootpool_002_neg.ksh	Wed Aug 31 16:21:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rootpool/rootpool_002_neg.ksh	Wed Aug 31 16:21:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -53,16 +53,16 @@
 # damage done by the attempted pool destroy. The destroy itself should fail, but
 # some filesystems can become unmounted in the process, and aren't automatically
 # remounted.
-$MOUNT -p | $AWK '{if ($4 == "zfs") print $1" "$3}' > $tmpfile
+mount -p | awk '{if ($4 == "zfs") print $1" "$3}' > $tmpfile
 
-log_mustnot $ZPOOL destroy $rootpool
+log_mustnot zpool destroy $rootpool
 
 # Remount any filesystems that the destroy attempt unmounted.
 while read ds mntpt; do
-	mounted $ds || log_must $MOUNT -Fzfs $ds $mntpt
+	mounted $ds || log_must mount -Fzfs $ds $mntpt
 done < $tmpfile
-$RM -f $tmpfile
+rm -f $tmpfile
 
-log_mustnot $ZFS destroy $rootpool
+log_mustnot zfs destroy $rootpool
 
 log_pass "rootpool can not be destroyed"
--- old/usr/src/test/zfs-tests/tests/functional/rootpool/rootpool_003_neg.ksh	Wed Aug 31 16:21:27 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rootpool/rootpool_003_neg.ksh	Wed Aug 31 16:21:27 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,10 +52,10 @@
 typeset rootpool=$(get_rootpool)
 typeset rootfs=$(get_rootfs)
 
-log_mustnot $ZFS rename $rootfs $rootpool/newfs
-log_mustnot $ZFS rename -f $rootfs $rootpool/newfs
+log_mustnot zfs rename $rootfs $rootpool/newfs
+log_mustnot zfs rename -f $rootfs $rootpool/newfs
 
-log_mustnot $ZFS destroy $rootfs
-log_mustnot $ZFS destroy -f $rootfs
+log_mustnot zfs destroy $rootfs
+log_mustnot zfs destroy -f $rootfs
 
 log_pass "system related filesystems can not be renamed or destroyed"
--- old/usr/src/test/zfs-tests/tests/functional/rootpool/rootpool_007_neg.ksh	Wed Aug 31 16:21:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rootpool/rootpool_007_neg.ksh	Wed Aug 31 16:21:28 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,7 +45,7 @@
 verify_runnable "global"
 
 function cleanup {
-	log_must $ZFS set compression=$orig_compress $rootfs
+	log_must zfs set compression=$orig_compress $rootfs
 }
 
 log_onexit cleanup
@@ -63,7 +63,7 @@
 
 typeset -i i=0
 while (( i < ${#gtype[@]} )); do
-	log_mustnot $ZFS set compression=${gtype[i]} $rootfs
+	log_mustnot zfs set compression=${gtype[i]} $rootfs
 	(( i += 1 ))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/rsend/cleanup.ksh	Wed Aug 31 16:21:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/cleanup.ksh	Wed Aug 31 16:21:28 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2014 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/rsend/rsend.kshlib
@@ -40,6 +40,6 @@
 	cleanup_pool $POOL
 	cleanup_pool $POOL2
 fi
-log_must $RM -rf $BACKDIR $TESTDIR
+log_must rm -rf $BACKDIR $TESTDIR
 
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend.cfg	Wed Aug 31 16:21:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend.cfg	Wed Aug 31 16:21:28 2016
@@ -24,13 +24,13 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 export BACKDIR=${TEST_BASE_DIR%%/}/backdir-rsend
 
-export DISK1=$($ECHO $DISKS | $AWK '{print $1}')
-export DISK2=$($ECHO $DISKS | $AWK '{print $2}')
+export DISK1=$(echo $DISKS | awk '{print $1}')
+export DISK2=$(echo $DISKS | awk '{print $2}')
 
 export POOL=$TESTPOOL
 export POOL2=$TESTPOOL1
